# Basemap

Utility to create the **AWI Basemap** for [maps.awi.de](maps.awi.de), [data.awi.de](data.awi.de) and [marine-data.de](marine-data.de).

## Description

The above mentioned websites use a global basemap with a colored and shaded digital elevation model (DEM) as a background. This basemap is an RGB GeoTIFF created from various geodata sources that need to be analysed (hillshade, slope), converted (raster to vector, vector to raster calculation), combined, colored and rendered to RGB. To ease the update process (e.g. new GEBCO version or any ofther data sources updated) this git provides the tools to create and update the **AWI Basemap**, as well as scripts to automate the process.

At this point, the **AWI Basemap**s is available in three color sets. All three are based on the AWI blues (RGB bright: 7/172/231, RGB dark: 0/62/110). Yet, the "default" color palette reduces these blues to half their saturation, the "bright" color palette uses the blues directly, and the "dark" color palette uses the blues with a quarter of their saturation.

## Instructions

`INSTRUCTIONS.md` holds the instructions on the usage of the scripts to create the AWI Basemaps.

## Data

In `data`, all the necessary data sources are listed. As data is not stored in this git, textfiles give information on where to download the data and in which format it needs to be available for the process.

## Preview

In `preview`, you can get a glimps on the final output.

## Process

In `process`, all the required scripts are stored.

## Styles

In `styles`, all the required color palettes and auxiliary QGIS layer style files (QML) are stored.

## Sources

References and citations for data sources are listed in `SOURCES.md`.
